{% extends "application/base.html" %}
{% load query_parametrs %}

{% block content %}
<div class="col-md-8">
    <h4 class="mb-3">
        Список заявок
    </h4>
    <a href="?page=1">Сбросить</a>

    <table class="table">
        <thead>
            <tr>
                <th>Наименование
                    <a href="{% add_query_params request order='name' %}"><i class="fas fa-angle-up ml-1"></i></a>
                    <a href="{% add_query_params request order='-name' %}"><i class="fas fa-angle-down ml-1"></i></a>
                </th>
                <th>Дата завершения
                    <a href="{% add_query_params request order='till_date' %}"><i class="fas fa-angle-up ml-1"></i></a>
                    <a href="{% add_query_params request order='-till_date' %}"><i class="fas fa-angle-down ml-1"></i></a>
                </th>
                <th>Дата создания
                    <a href="{% add_query_params request order='created' %}"><i class="fas fa-angle-up ml-1"></i></a>
                    <a href="{% add_query_params request order='-created' %}"><i class="fas fa-angle-down ml-1"></i></a>
                </th>
            </tr>
        </thead>
        <tbody>
            {% for object in objects %}
            <tr>
                <td>
                    <a href="{{object.get_absolute_url}}">{{object.name}}</a>
                </td>
                <td>{{object.till_date}}</a></td>
                <td>{{object.created}}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
<div class="w-100"></div>
<ul class="pagination d-block">
    {% if page_obj.has_previous  %}
    <li class="page-item"><a class="page-link"  href="{% add_query_params request page=page_obj.previous_page_number %}">Назад</a></li>
    {% endif %}
    {% if page_obj.has_next %}
    <li class="page-item"><a class="page-link"  href="{% add_query_params request page=page_obj.next_page_number %}">Следующий</a></li>
    {% endif %}
</ul>
{% endblock content %}
